Subject: Re: [PATCH] nf_nat_h323.c unneeded rcu_dereference() calls

From: Patrick McHardy <[email-masked]>
Date: Tue, 30 Oct 2007 15:06:20 +0100

Paul E. McKenney wrote:
> Hello!
> 
> While reviewing rcu_dereference() uses, I came across a number of cases
> where I couldn't see how the rcu_dereference() helped.  One class of
> cases is where the variable is never subsequently dereferenced, so that
> patches like the following one would be appropriate.
> 
> So, what am I missing here?

Nothing, it was mainly intended as documentation that the hooks are
protected by RCU. I agree that its probably more confusing this way
since we're not even in a rcu_read_lock protected section.

I've queued a patch to remove them all.